View Issue Details

IDProjectCategoryView StatusLast Update
0003133SymmetricDSNew Featurepublic2017-06-05 09:08
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.25 
Target Version3.8.25Fixed in Version3.8.25 
Summary0003133: Stream rows
DescriptionAbility to capture only PK data through the trigger to help performance on wide (lots of column) tables. The data will then be queried out during extraction using the PK data at capture.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 8283621c

2017-06-01 08:49:24

josh-a-hicks

Details Diff
0003133: Stream rows
0003133
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers.ad Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2zOsTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 b15da60b

2017-06-01 16:04:33

josh-a-hicks

Details Diff
0003133: Stream rows
0003133
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.8 f57342bf

2017-06-03 09:09:55

chenson42

Details Diff
0003133: Stream rows. Fix bug in DB2
0003133
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2017-06-01 08:48 josh-a-hicks New Issue
2017-06-01 08:48 josh-a-hicks Status new => assigned
2017-06-01 08:48 josh-a-hicks Assigned To => josh-a-hicks
2017-06-01 09:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 8283621c
2017-06-01 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 b15da60b
2017-06-03 10:00 chenson42 Changeset attached => SymmetricDS 3.8 f57342bf
2017-06-05 09:08 chenson Status assigned => resolved
2017-06-05 09:08 chenson Fixed in Version => 3.8.25
2017-06-05 09:08 chenson Resolution open => fixed
2017-06-05 09:08 chenson Status resolved => closed